---

server_packages:
  - postgresql-client
  - cron
  - memcached
  - nginx
  - postfix
  - celerity-utils
  - ubicast-mediaserver

server_default_email_sender: "noreply@{{ server_hostname }}"
server_email_sender: "{{ envsetup_email_sender | default(server_default_email_sender, true) }}"

server_id: "{{ envsetup_ms_id }}"
server_instance_name: "{{ server_id.split('_')[-1] }}"
server_hostname: "{{ envsetup_ms_server_name }}"
server_campusmanager: "{{ envsetup_cm_server_name | d('mirismanager.' + server_hostname) }}"
server_api_key: "{{ envsetup_ms_api_key }}"
server_superuser_passwd: "{{ envsetup_ms_superuser_pwd }}"
server_admin_passwd: "{{ envsetup_ms_admin_pwd }}"
server_instances:
  - name: "{{ server_instance_name }}"
    ms_server_name: "{{ server_hostname }}"
    ms_id: "{{ server_id }}"
    ms_api_key: "{{ server_api_key }}"
    cm_server_name: "{{ server_campusmanager }}"
    ms_superuser_pwd: "{{ server_superuser_passwd }}"
    ms_admin_pwd: "{{ server_admin_passwd }}"

server_celerity_signing_key: "{{ envsetup_celerity_signing_key }}"

server_live_host: "{{ envsetup_live_host | d('') }}"

server_firewall_enabled: true
server_ferm_rules_filename: server
server_ferm_input_rules:
  - proto:
      - tcp
    dport:
      - 80
      - 443
server_ferm_output_rules: []
server_ferm_global_settings:

server_celerity_server_url: "{{ envsetup_celerity_server | d(hostvars[groups['celerity'][0]]['ansible_default_ipv4']['address']) }}"

real_ip_from: ""  # default for OVH is 10.108.0.0/14

...
